using System;
using System.Runtime.Remoting.Channels;
using System.Runtime.Remoting.Channels.Tcp;

namespace ProfessionalCSharp
{
	/// <summary>
	/// Summary description for Class2.
	/// </summary>
	public class HelloClient
	{
		public static void Main(string[] args)
		{
			ChannelServices.RegisterChannel(new TcpClientChannel() );
			Hello obj = (Hello)Activator.GetObject(
				typeof(Hello),
				"tcp://localhost:8086/Hi");
			if (obj == null)
			{
				System.Console.WriteLine("could not locate server");
				return;
			}
			for (int i = 0; i<5; i++)
			{
				System.Console.WriteLine(obj.Greeting("Christian"));
			}
		}
	}
}
